[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TComponentDataLink.OnInvalidDataSource

OnInvalidDataSource - event handler when the data source is non-valid

## Declaration

Source position: dbgrids.pas line 190

`public property TComponentDataLink.OnInvalidDataSource: TDataSetNotifyEvent read fOnInvalidDataSource write fOnInvalidDataSource;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.